Package org.eclipse.ant.launching

# Interface IAntLaunchConstants

public interface IAntLaunchConstants
Constant definitions for Ant launch configurations.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_ANT_AFTER_CLEAN_TARGETS`
String attribute indicating the Ant targets to execute after a clean (full build) for an Ant builder.
`static final String`
`ATTR_ANT_AUTO_TARGETS`
String attribute indicating the Ant targets to execute during an auto build for an Ant builder.
`static final String`
`ATTR_ANT_CLEAN_TARGETS`
String attribute indicating the Ant targets to execute during a clean for an Ant builder.
`static final String`
`ATTR_ANT_MANUAL_TARGETS`
String attribute indicating the Ant targets to execute during a manual build for an Ant builder.
`static final String`
`ATTR_ANT_PROPERTIES`
Map attribute indicating the Ant properties to be defined during the build.
`static final String`
`ATTR_ANT_PROPERTY_FILES`
String attribute indicating the Ant targets to execute.
`static final String`
`ATTR_ANT_TARGETS`
String attribute indicating the Ant targets to execute.
`static final String`
`ATTR_DEFAULT_VM_INSTALL`
Boolean attribute indicating if the default VM install should be used for the separate JRE build Default value is `false` for backwards compatibility
`static final String`
`ATTR_HIDE_INTERNAL_TARGETS`
Boolean attribute indicating whether or not internal targets (targets with no description) should be hidden from the user in the launch configuration dialog.
`static final String`
`ATTR_SORT_TARGETS`
Integer attribute indicating which column targets should be sorted on.
`static final String`
`ATTR_TARGETS_UPDATED`
Boolean attribute indicating whether or not target specification for an Ant builder has been updated for 3.1
`static final String`
`ID_ANT_BUILDER_LAUNCH_CONFIGURATION_TYPE`
Ant builder launch configuration type identifier.
`static final String`
`ID_ANT_LAUNCH_CONFIGURATION_TYPE`
Ant launch configuration type identifier.
`static final String`
`ID_ANT_PROCESS_TYPE`
Identifier for Ant processes (value `org.eclipse.ant.ui.antProcess`).
`static final String`
`MAIN_TYPE_NAME`

## Field Details

### ID_ANT_LAUNCH_CONFIGURATION_TYPE

static final String ID_ANT_LAUNCH_CONFIGURATION_TYPE
Ant launch configuration type identifier.

See Also:
  - Constant Field Values

### MAIN_TYPE_NAME

static final String MAIN_TYPE_NAME

See Also:
  - Constant Field Values

### ID_ANT_BUILDER_LAUNCH_CONFIGURATION_TYPE

static final String ID_ANT_BUILDER_LAUNCH_CONFIGURATION_TYPE
Ant builder launch configuration type identifier. Ant project builders are of this type.

See Also:
  - Constant Field Values

### ATTR_ANT_TARGETS

static final String ATTR_ANT_TARGETS
String attribute indicating the Ant targets to execute. Default value is `null` which indicates that the default target is to be executed. Format is a comma separated listing of targets.

See Also:
  - Constant Field Values

### ATTR_ANT_AFTER_CLEAN_TARGETS

static final String ATTR_ANT_AFTER_CLEAN_TARGETS
String attribute indicating the Ant targets to execute after a clean (full build) for an Ant builder. Default value is `null` which indicates that the default target is to be executed. Format is a comma separated listing of targets.

See Also:
  - Constant Field Values

### ATTR_ANT_MANUAL_TARGETS

static final String ATTR_ANT_MANUAL_TARGETS
String attribute indicating the Ant targets to execute during a manual build for an Ant builder. Default value is `null` which indicates that the default target is to be executed. Format is a comma separated listing of targets.

See Also:
  - Constant Field Values

### ATTR_ANT_AUTO_TARGETS

static final String ATTR_ANT_AUTO_TARGETS
String attribute indicating the Ant targets to execute during an auto build for an Ant builder. Default value is `null` which indicates that the default target is to be executed. Format is a comma separated listing of targets.

See Also:
  - Constant Field Values

### ATTR_ANT_CLEAN_TARGETS

static final String ATTR_ANT_CLEAN_TARGETS
String attribute indicating the Ant targets to execute during a clean for an Ant builder. Default value is `null` which indicates that the default target is to be executed. Format is a comma separated listing of targets.

See Also:
  - Constant Field Values

### ATTR_TARGETS_UPDATED

static final String ATTR_TARGETS_UPDATED
Boolean attribute indicating whether or not target specification for an Ant builder has been updated for 3.1

See Also:
  - Constant Field Values

### ATTR_ANT_PROPERTIES

static final String ATTR_ANT_PROPERTIES
Map attribute indicating the Ant properties to be defined during the build. Default value is `null` which indicates no additional properties will be defined.

See Also:
  - Constant Field Values

### ATTR_ANT_PROPERTY_FILES

static final String ATTR_ANT_PROPERTY_FILES
String attribute indicating the Ant targets to execute. Default value is `null` which indicates that no additional property files will be defined. Format is a comma separated listing of property files.

See Also:
  - Constant Field Values

### ATTR_HIDE_INTERNAL_TARGETS

static final String ATTR_HIDE_INTERNAL_TARGETS
Boolean attribute indicating whether or not internal targets (targets with no description) should be hidden from the user in the launch configuration dialog. Default value is `false` which indicates that all targets will be displayed.

See Also:
  - Constant Field Values

### ATTR_SORT_TARGETS

static final String ATTR_SORT_TARGETS
Integer attribute indicating which column targets should be sorted on. A value of 0 indicates target name, 1 indicates target description, and -1 indicates no sort. Default value is -1.

See Also:
  - Constant Field Values

### ATTR_DEFAULT_VM_INSTALL

static final String ATTR_DEFAULT_VM_INSTALL
Boolean attribute indicating if the default VM install should be used for the separate JRE build Default value is `false` for backwards compatibility

See Also:
  - Constant Field Values

### ID_ANT_PROCESS_TYPE

static final String ID_ANT_PROCESS_TYPE
Identifier for Ant processes (value `org.eclipse.ant.ui.antProcess`). This identifier is set as the value for the `IProcess.ATTR_PROCESS_TYPE` attribute in processes created by the Ant launch delegate.

See Also:
  - Constant Field Values